Last Comment Bug 758208 - Intermittent failure in browser_dbg_stack-04.js | Should have no frames after resume - Got 2, expected 0
: Intermittent failure in browser_dbg_stack-04.js | Should have no frames after...
Status: RESOLVED FIXED
[fixed-in-fx-team]
: intermittent-failure
Product: Firefox
Classification: Client Software
Component: Developer Tools: Debugger (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 15
Assigned To: Victor Porof [:vporof][:vp]
:
Mentors:
Depends on:
Blocks: 438871 724229
  Show dependency treegraph
 
Reported: 2012-05-24 07:11 PDT by Panos Astithas [:past] (away until 7/21)
Modified: 2012-11-25 19:31 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
v1 (178.74 KB, text/plain)
2012-05-25 22:58 PDT, Victor Porof [:vporof][:vp]
no flags Details
[in-fx-team] v2 (863 bytes, patch)
2012-05-26 03:22 PDT, Victor Porof [:vporof][:vp]
mihai.sucan: review+
Details | Diff | Splinter Review

Description Panos Astithas [:past] (away until 7/21) 2012-05-24 07:11:23 PDT
Rev4 MacOSX Snow Leopard 10.6 fx-team opt test mochitest-other on 2012-05-24 06:31:40 PDT for push c66729ab079f
slave: talos-r4-snow-030

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have no frames after resume - Got 2, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should only have one child. - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have the empty list explanation. - Got 0, expected 1

https://tbpl.mozilla.org/php/getParsedLog.php?id=12026757&tree=Fx-Team
Comment 1 Panos Astithas [:past] (away until 7/21) 2012-05-24 07:14:42 PDT
My guess is that it is related to the new Debugger:AfterFramesCleared event that got introduced in bug 724229.
Comment 2 Treeherder Robot 2012-05-24 17:52:47 PDT
dcamp
https://tbpl.mozilla.org/php/getParsedLog.php?id=12042063&tree=Fx-Team
Rev4 MacOSX Snow Leopard 10.6 fx-team opt test mochitest-other on 2012-05-24 15:24:23
slave: talos-r4-snow-051

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have no frames after resume - Got 2, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should only have one child. - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have the empty list explanation. - Got 0, expected 1
Comment 3 Treeherder Robot 2012-05-24 23:47:31 PDT
past
https://tbpl.mozilla.org/php/getParsedLog.php?id=12053147&tree=Fx-Team
Rev3 WINNT 5.1 fx-team pgo test mochitest-other on 2012-05-24 21:54:53
slave: talos-r3-xp-046

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have no frames after resume - Got 2, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should only have one child. - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have the empty list explanation. - Got 0, expected 1
Comment 4 Treeherder Robot 2012-05-25 03:59:48 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=12060474&tree=Fx-Team
Rev3 WINNT 5.1 fx-team pgo test mochitest-other on 2012-05-25 03:05:42
slave: talos-r3-xp-039

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have no frames after resume - Got 2, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should only have one child. - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have the empty list explanation. - Got 0, expected 1
Comment 5 Treeherder Robot 2012-05-25 05:41:24 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=12063655&tree=Try
Rev4 MacOSX Snow Leopard 10.6 try opt test mochitest-other on 2012-05-25 04:55:41
slave: talos-r4-snow-023

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have no frames after resume - Got 2, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should only have one child. - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have the empty list explanation. - Got 0, expected 1
Comment 6 Treeherder Robot 2012-05-25 05:46:16 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=12063729&tree=Try
Rev4 MacOSX Lion 10.7 try opt test mochitest-other on 2012-05-25 04:55:50
slave: talos-r4-lion-042

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have no frames after resume - Got 2, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should only have one child. - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have the empty list explanation. - Got 0, expected 1
Comment 7 Treeherder Robot 2012-05-25 09:21:08 PDT
msucan
https://tbpl.mozilla.org/php/getParsedLog.php?id=12070837&tree=Fx-Team
Rev4 MacOSX Snow Leopard 10.6 fx-team opt test mochitest-other on 2012-05-25 08:43:15
slave: talos-r4-snow-077

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have no frames after resume - Got 2, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should only have one child. - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have the empty list explanation. - Got 0, expected 1
Comment 8 Treeherder Robot 2012-05-25 10:44:37 PDT
msucan
https://tbpl.mozilla.org/php/getParsedLog.php?id=12073197&tree=Try
Rev4 MacOSX Snow Leopard 10.6 try opt test mochitest-other on 2012-05-25 10:03:41
slave: talos-r4-snow-016

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have no frames after resume - Got 2, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should only have one child. - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have the empty list explanation. - Got 0, expected 1
Comment 9 Treeherder Robot 2012-05-25 12:14:33 PDT
msucan
https://tbpl.mozilla.org/php/getParsedLog.php?id=12074841&tree=Try
Rev4 MacOSX Lion 10.7 try opt test mochitest-other on 2012-05-25 10:56:47
slave: talos-r4-lion-032

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have no frames after resume - Got 2, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should only have one child. - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have the empty list explanation. - Got 0, expected 1
Comment 10 Treeherder Robot 2012-05-25 12:14:56 PDT
msucan
https://tbpl.mozilla.org/php/getParsedLog.php?id=12074818&tree=Try
Rev4 MacOSX Lion 10.7 try opt test mochitest-other on 2012-05-25 10:57:04
slave: talos-r4-lion-015

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have no frames after resume - Got 2, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should only have one child. - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have the empty list explanation. - Got 0, expected 1
Comment 11 Treeherder Robot 2012-05-25 13:14:36 PDT
msucan
https://tbpl.mozilla.org/php/getParsedLog.php?id=12076306&tree=Try
Rev4 MacOSX Snow Leopard 10.6 try opt test mochitest-other on 2012-05-25 11:47:36
slave: talos-r4-snow-077

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have no frames after resume - Got 2, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should only have one child. - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have the empty list explanation. - Got 0, expected 1
Comment 12 Treeherder Robot 2012-05-25 13:14:54 PDT
msucan
https://tbpl.mozilla.org/php/getParsedLog.php?id=12076316&tree=Try
Rev4 MacOSX Snow Leopard 10.6 try opt test mochitest-other on 2012-05-25 11:47:54
slave: talos-r4-snow-056

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have no frames after resume - Got 2, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should only have one child. - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have the empty list explanation. - Got 0, expected 1
Comment 13 Treeherder Robot 2012-05-25 13:15:13 PDT
msucan
https://tbpl.mozilla.org/php/getParsedLog.php?id=12076310&tree=Try
Rev4 MacOSX Snow Leopard 10.6 try opt test mochitest-other on 2012-05-25 11:47:54
slave: talos-r4-snow-029

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have no frames after resume - Got 2, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should only have one child. - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have the empty list explanation. - Got 0, expected 1
Comment 14 Treeherder Robot 2012-05-25 15:12:15 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=12081506&tree=Fx-Team
Rev4 MacOSX Snow Leopard 10.6 fx-team opt test mochitest-other on 2012-05-25 14:36:00
slave: talos-r4-snow-077

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have no frames after resume - Got 2, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should only have one child. - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have the empty list explanation. - Got 0, expected 1
Comment 15 Treeherder Robot 2012-05-25 15:25:14 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12081488&tree=Fx-Team
Rev4 MacOSX Lion 10.7 fx-team opt test mochitest-other on 2012-05-25 14:35:53
slave: talos-r4-lion-078

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have no frames after resume - Got 2, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should only have one child. - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have the empty list explanation. - Got 0, expected 1
Comment 16 Treeherder Robot 2012-05-25 15:32:26 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12063380&tree=Fx-Team
Rev4 MacOSX Lion 10.7 fx-team opt test mochitest-other on 2012-05-25 04:45:34
slave: talos-r4-lion-070

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have no frames after resume - Got 2, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should only have one child. - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have the empty list explanation. - Got 0, expected 1
Comment 17 Treeherder Robot 2012-05-25 15:34:03 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12057657&tree=Fx-Team
Rev4 MacOSX Lion 10.7 fx-team opt test mochitest-other on 2012-05-25 01:01:39
slave: talos-r4-lion-042

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have no frames after resume - Got 2, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should only have one child. - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have the empty list explanation. - Got 0, expected 1
Comment 18 Treeherder Robot 2012-05-25 16:38:27 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12084037&tree=Fx-Team
Rev4 MacOSX Snow Leopard 10.6 fx-team opt test mochitest-other on 2012-05-25 16:04:53
slave: talos-r4-snow-076

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have no frames after resume - Got 2, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should only have one child. - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have the empty list explanation. - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/highlighter/test/browser_inspector_highlighter.js | transparent veil box width matches dimensions of element (no zoom) - Got 764, expected 22
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/highlighter/test/browser_inspector_highlighter.js | transparent veil box height matches dimensions of element (no zoom) - Got 38.40000915527344, expected 22
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/highlighter/test/browser_inspector_highlighter.js | transparent veil box width matches width of element (2x zoom) - Got 78.56666564941406, expected 44
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/highlighter/test/browser_inspector_highlighter.js | transparent veil box height matches width of element (2x zoom) - Got 43.73332214355469, expected 44
Comment 19 Victor Porof [:vporof][:vp] 2012-05-25 22:58:12 PDT
Created attachment 627442 [details]
v1

Multiple try runs look good: https://tbpl.mozilla.org/?tree=Try&rev=7bc9e9bda7d7
Comment 20 Victor Porof [:vporof][:vp] 2012-05-26 03:22:43 PDT
Created attachment 627462 [details] [diff] [review]
[in-fx-team] v2

Herp derp.
Comment 21 Mihai Sucan [:msucan] 2012-05-26 03:23:52 PDT
Comment on attachment 627462 [details] [diff] [review]
[in-fx-team] v2

Review of attachment 627462 [details] [diff] [review]:
-----------------------------------------------------------------

Thank you!
Comment 22 Mihai Sucan [:msucan] 2012-05-26 03:52:03 PDT
Comment on attachment 627462 [details] [diff] [review]
[in-fx-team] v2

Landed:
https://hg.mozilla.org/integration/fx-team/rev/975c490e8b3b
Comment 23 Treeherder Robot 2012-05-26 07:08:57 PDT
robcee
https://tbpl.mozilla.org/php/getParsedLog.php?id=12095688&tree=Fx-Team
Rev4 MacOSX Snow Leopard 10.6 fx-team opt test mochitest-other on 2012-05-26 05:23:19
slave: talos-r4-snow-007

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have no frames after resume - Got 2, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should only have one child. - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have the empty list explanation. - Got 0, expected 1
Comment 24 Treeherder Robot 2012-05-26 07:09:59 PDT
robcee
https://tbpl.mozilla.org/php/getParsedLog.php?id=12095755&tree=Fx-Team
Rev4 MacOSX Lion 10.7 fx-team opt test mochitest-other on 2012-05-26 05:22:34
slave: talos-r4-lion-037

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have no frames after resume - Got 2, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should only have one child. - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have the empty list explanation. - Got 0, expected 1
Comment 25 Treeherder Robot 2012-05-26 10:07:35 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12097578&tree=Fx-Team
Rev4 MacOSX Snow Leopard 10.6 fx-team opt test mochitest-other on 2012-05-26 07:10:31
slave: talos-r4-snow-068

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have no frames after resume - Got 2, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should only have one child. - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have the empty list explanation. - Got 0, expected 1
Comment 26 Treeherder Robot 2012-05-26 10:08:24 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12097419&tree=Fx-Team
Rev3 WINNT 5.1 fx-team pgo test mochitest-other on 2012-05-26 06:53:50
slave: talos-r3-xp-013

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have no frames after resume - Got 2, expected 0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should only have one child. - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_stack-04.js | Should have the empty list explanation. - Got 0, expected 1
Comment 27 Rob Campbell [:rc] (:robcee) 2012-05-26 10:33:46 PDT
https://hg.mozilla.org/mozilla-central/rev/975c490e8b3b

Note You need to log in before you can comment on or make changes to this bug.